#######################################################################
#                                                                     #
#                                 Pph                                 #
#                                                                     #
#                    The Portable Project Handler                     #
#                                                                     #
#                  projet Estime, INRIA-Rocquencourt                  #
#                                                                     #
#  Copyright 2005-2011 INRIA.                                         #
#  Institut National de Recherche en Informatique et en Automatique.  #
#  All rights reserved. This file is distributed only by permission.  #
#                                                                     #
#  Francois Clement <Francois.Clement@inria.fr>                       #
#  Pierre Weis <Pierre.Weis@inria.fr>                                 #
#                                                                     #
#######################################################################

# $Id: configure_usage.profile,v 1.10 2011-05-06 11:58:40 fclement Exp $

#
# Pph system configuration usage.
# Used by user and devel configuration profiles ``configure.profile''.
#

usage () {
    
    $CAT << eof

Usage: ./$SCRIPT [<option>...]

OPTIONS

Paths:
`doc_with_default "--install-root-dir" "-ird" "ird" \
     "installation root directory" "$INSTALL_ROOT_DIR_INTRINSIC_DEFAULT"`

Compilers:
`if $PROJECT_REQUIRE_C_COMPILER; then \
    doc "--c-compiler" "-cc" "cc" "C compiler"; \
fi && \
if $PROJECT_REQUIRE_CPP_COMPILER; then \
    doc "--cpp-compiler" "-cppc" "cppc" "C++ compiler"; \
fi && \
if $PROJECT_REQUIRE_FORTRAN_COMPILER; then \
    doc "--fortran-compiler" "-fc" "fc" "Fortran compiler"; \
fi && \
if $PROJECT_REQUIRE_JAVA_COMPILER; then \
    doc "--java-compiler" "-jc" "jc" "Java compiler"; \
fi && \
if $PROJECT_REQUIRE_MOCA_COMPILER; then \
    doc "--mocac-compiler" "-mc" "mc" "Moca compiler"; \
fi && \
if $PROJECT_REQUIRE_OCAML_BYT_COMPILER; then \
    doc "--ocaml-byte-compiler" "-obc" "obc" "OCaml byte compiler"; \
fi && \
if $PROJECT_REQUIRE_OCAML_BIN_COMPILER; then \
    doc "--ocaml-native-compiler" "-onc" "onc" "OCaml native compiler"; \
fi && \
if $PROJECT_REQUIRE_OCAML_BYT_COMPILER || \
   $PROJECT_REQUIRE_OCAML_BIN_COMPILER; then \
    doc "--ocaml-command-search-path" "-ocsp" "ocsp" \
        "OCaml command search path"; \
fi`

Preprocessors:
`if $PROJECT_REQUIRE_C_PREPROCESSOR; then \
    doc "--c-preprocessor" "-cpp" "cpp" "C preprocessor"; \
fi && \
if $PROJECT_REQUIRE_CPP_PREPROCESSOR; then \
    doc "--cpp-preprocessor" "-cpppp" "cpppp" "C++ preprocessor"; \
fi && \
if $PROJECT_REQUIRE_FORTRAN_PREPROCESSOR; then \
    doc "--fortran-preprocessor" "-fpp" "fpp" "Fortran preprocessor"; \
fi
if $PROJECT_REQUIRE_OCAML_PREPROCESSOR; then \
    doc "--ocaml-preprocessor" "-opp" "opp" "OCaml preprocessor"; \
fi`

Service:

--trace, -x	Trigger the fine debugging mode on. Default is "$TRACE".
--debug, -d	Trigger the debug mode on. Default is "$DEBUG".
--report, -r	Trigger the reporting mode on. Default is "$REPORT".
--summary, -s	Trigger the summary mode on. Default is "$SUMMARY".
--see-you, -n	Trigger the see-you mode on. Default is "$SEE_YOU".

--help, -h	Display this help and exit.

eof
    
} >&2
